﻿@model Avira.MarketingResearch.Model.ViewModels.CompanyProfile.MainCompanyProfitAndLossViewModel
@{
    ViewData["Title"] = "GetData";
    Layout = "~/Views/Shared/_LayoutWithCompanyTabAndLeftMenu.cshtml";
}

<h2>Index</h2>
@using (Html.BeginForm("Index", "CompanyProfitAndLoss", FormMethod.Post, new { id = "CompanyProfitAndLoss", name = "CompanyProfitAndLoss", @class = "" }))
{
    <div id="content" class="content">
        <div class="section-with-top-border">
            <div class="row">
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Project Name: @ViewBag.ProjectName</h5>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Company Name: @ViewBag.CompanyName</h5>
                    </div>
                </div>
                <div class="col-lg-4">
                    <div class="clearfix">
                        <h5 class="m-t-0">Status: @ViewBag.StatusName</h5>
                    </div>
                </div>
            </div>
        </div>
        <div class="section-with-top-border p-b-10 p-t-25">
            @if (ViewBag.Message != string.Empty)
            {
                <div class="alert alert-danger alert-bordered show m-b-10">
                    <strong>Info!</strong>
                    @ViewBag.Message
                    <span class="close" data-dismiss="alert">×</span>
                </div>
            }

            @Html.HiddenFor(Model => Model.CompanyId)
            @Html.HiddenFor(Model => Model.ProjectId)

            <div class="section-with-top-border p-b-10 p-t-20">
                <!-- begin row -->
                <div class="row">
                    <!-- begin col-8 -->
                    <div class="col-md-12">
                        <!-- begin panel -->
                        <div class="panel">
                            <div class="table-responsive">
                                <table id="tblTrends" class="table table-bordered table-hover table-striped table-td-valign-middle product-service-table">
                                    <thead>
                                        <tr class="inverse">
                                            <th class="text-center"></th>
                                            @for (int k = 0; k < Model.YearList.Count; k++)
                                            {
                                                <th class="text-center">@Model.YearList[k]</th>
                                            }

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>
                                                Revenue
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Revenue</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Costs and expenses:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CostsAndExpenses</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Cost of Production
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CostOfProduction</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Resource cost
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().ResourceCost</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Salary cost
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().SalaryCost</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Cost of sales
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().CostOfSales</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Gross Profit
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().GrossProfit</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Selling expenses
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().SellingExpenses</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Marketing expenses
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().MarketingExpenses</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Administrative expenses
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().AdministrativeExpenses</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                General expenses
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().GeneralExpenses</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Selling, General and Admin expenses
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().SellingGeneralAndAdminExpenses</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Research and development expenses
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().ResearchAndDevelopmentExpenses</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Depreciation
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Depreciation</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Amortization
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Amortization</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Restructuring
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Restructuring</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Other (income)/deductions
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().OtherIncomeOrDeductions</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Total operating expenses
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().TotalOperatingExpenses</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                EBIT
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().EBIT</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                EBITDA
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().EBITDA</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Interest income
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().InterestIncome</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Interest expense
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().InterestExpense</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                EBT
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().EBT</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Tax
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().Tax</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Net income from continuing operations
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().NetIncomeFromContinuingOperations</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Discontinued operations:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DiscontinuedOperations</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Income/Loss from discontinued operations
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().IncomeLossFromDiscontinuedOperations</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Gain on disposal of discontinued operations
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().GainOnDisposalOfDiscontinuedOperations</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Discontinued operations––net of tax
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DiscontinuedOperationsNetOfTax </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Net income before allocation to noncontrolling interests
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().NetIncomeBeforeAllocationToNoncontrollingInterests</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Non-controlling interests
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().NonControllingInterests</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Net income
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().NetIncome </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Basic EPS:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().BasicEPS_</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Basic EPS from continuing operations
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().BasicEPSFromContinuingOperations </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Basic EPS from discontinued operations
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().BasicEPSFromDiscontinuedOperations</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Basic EPS
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().BasicEPS</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Diluted EPS:
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DilutedEPS_</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Diluted EPS from continuing operations
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DilutedEPSFromContinuingOperations </td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Diluted EPS from discontinued operations
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                                <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DilutedEPSFromDiscontinuedOperations</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Diluted EPS
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().DilutedEPS</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Weighted Average Shares Outstanding - Basic
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().WeightedAverageSharesOutstandingBasic</td>
                                            }
                                        </tr>
                                        <tr>
                                            <td>
                                                Weighted Average Shares Outstanding - Diluted
                                            </td>
                                            @for (int i = 0; i < Model.YearList.Count; i++)
                                            {
                                            <td class="text-center">@Model.CompanyProfitAndLossViewModelList.Where(x => x.Year == Model.YearList[i]).FirstOrDefault().WeightedAverageSharesOutstandingDiluted</td>
                                            }
                                        </tr>
                                        
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <!-- end panel -->
                    </div>
                    <!-- end col-8 -->
                    <!-- end col-4 -->
                </div>
                <!-- end row -->
            </div>

        </div>
        <div class="section-with-top-border p-b-5">
            <div class="row">
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Author Notes <span class="text-danger">*</span></h4>
                        </div>
                        @Html.TextAreaFor(model => model.CompanyNoteViewModel.AuthorRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script>
                            CKEDITOR.replace('CompanyNoteViewModel.AuthorRemark', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>

                    </div>
                </div>
                <!-- end col-6 -->
                <!-- begin col-6 -->
                <div class="col-lg-6">
                    <div class="panel panel-info" data-sortable-id="ui-widget-8">
                        <div class="panel-heading">
                            <div class="panel-heading-btn">
                                <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-white"
                                   data-click="panel-expand"><i class="fa fa-expand"></i></a>
                            </div>
                            <h4 class="panel-title">Approver Notes</h4>
                        </div>
                        @Html.TextAreaFor(model => model.CompanyNoteViewModel.ApproverRemark, 4, 3, htmlAttributes: new { @class = "form-control no-rounded-corner" })
                        <script>
                            CKEDITOR.replace('CompanyNoteViewModel.ApproverRemark', {
                                height: 40,
                                toolbarGroups: [{
                                    "name": "basicstyles",
                                    "groups": ["basicstyles"]
                                },
                                {
                                    "name": "links",
                                    "groups": ["links"]
                                },
                                {
                                    "name": "paragraph",
                                    "groups": ["list", "blocks"]
                                },

                                {
                                    "name": "document",
                                    "groups": ["mode"]
                                },
                                {
                                    "name": "insert",
                                    "groups": ["insert"]
                                },
                                {
                                    "name": "styles",
                                    "groups": ["styles"]
                                },
                                {
                                    "name": "about",
                                    "groups": ["about"]
                                }
                                ],
                                removeButtons: 'Underline,Strike,Subscript,Superscript,Anchor,Styles,Specialchar'
                            });
                        </script>
                    </div>
                </div>
            </div>
            <!-- end row -->
        </div>
        <!-- end section-container -->
        @Html.Partial("~/Views/Shared/_CompanyAction.cshtml")
    </div>

}